| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyEndpointRequest Class Reference
Endpoint

Modify Endpoint request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | Name
| Endpoint Name. More...
xsd__string | NewName
| New Endpoint Name. More...
xsd__string | IpAddress
| Character string with the IP Address of the endpoint. More...
xsd__string | AltIpAddress
| Optional secondary IP address of the endpoint. More...
xsd__string | RasIpAddress
| Branch Type. More...
xsd__int | Port
| Port is the signaling address of the endpoint. More...
xsd__int | AltPort
| Optional secondary IP address of the endpoint. More...
xsd__int | RasPort
| Maximum Branch Users. More...
xsd__string | ManagementIpAddress
| Separate address for the endpoint allowing its management using a different IP address for its configuration than the signaling address (IpAddress field).The ManagementIpAddress can be provisioned in IPv4, IPv6 or FQDN format. More...
xsd__short | Registration
| An integer that represents bitwise assignments of five attributes: More...
xsd__double | TimeToLive
| Expiration time for the endpoint (if dynamic). More...
enum unsp__AccountAuth | AccountAuth
| Account authentication. More...
xsd__string | ProfileName
| Endpoint Profile. More...
xsd__int | Sessions
| Maximum number of sessions allowed for the endpoint. More...
enum unsp__TransportType | Transport
| The transport protocol for a SIP endpoint. More...
struct unsp__EndpointAttributes | Attributes
| A list of boolean attributes of the endpoint. More...
xsd__string | AddressOfRecord
| The address used by SIP at registration of the endpoint. More...
enum unsp__EpFailover | ServerFailover
| Indicates whether network server failover is enabled for this endpoint. More...
enum unsp__KeysetUse | KeysetUse
| Indicates whether the subscriber endpoint is associated with a keyset device, either as a primary or phantom line. More...
xsd__string | CountryCode
| Country Code of the endpoint. More...
xsd__string | AssociatedEndpointName
| Associated endpoint. More...
xsd__string | IvtgNameDomain
| Ivtg Name Domain. More...
xsd__string | LooseRoutingURI = "_"
| Loose Routing URI. More...
xsd__int | MaxOriginatingSessionLimit
| Max Originating Session Limit. More...
xsd__int | MaxTerminatingSessionLimit
| Max Terminating Session Limit. More...
enum unsp__SrtpSupport | SrtpSupport
| "Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not. More...
enum unsp__SrtpSupport | SdesSrtpSupport
| "Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not. More...
enum unsp__DnsSrv | DnsSrv
| The type of the DnsSRV. More...
xsd__string | DefaultHomeDn
| Default Home Dn. More...
xsd__string | EndpointLocationName
| Endpoint location. More...
xsd__string | EndpointLocationCode
| Endpoint Location Code. More...
enum unsp__EndpointNNIType | EndpointNNIType
| The type of NNI endpoint. More...
xsd__string | EndpointProviderName
| The name of the Endpoint Provider. More...
xsd__string | EndpointLocationDomain
| Endpoint Location Domain. More...
enum unsp__Anat | AnatSupport
| Indicates whether the endpoint supports ANAT. More...
xsd__int | OutgoingCallSupervisionTimer
| Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the endpoint. More...
xsd__int | ProxyBypassSupervisionTimer
| Supervises the time between sending an INVITE request to a SIP proxy and receiving a provisional (incl. More...
xsd__boolean | ResetComLostState
| Allows resetting the endpoint's operational state from CommunicationLost to Normal. More...
enum unsp__ICESupport | ICESupport
| Indicates whether the endpoint supports ICE . More...
xsd__boolean * | RedSkyE911Manager
| Is Endpoint a Red Sky manager required: false default value[range]: false. More...
enum unsp__DTLSSupport | DTLSSupport
| Indicates whether the endpoint supports DTLS. More...
enum unsp__SipUAForkingSupport * | SipUAForkingSupport
| Indicates the SIP UA Forking Support mechanism used. More...
enum unsp__SrtpMode * | SrtpMode
| Indicates the SRTP mode used. More...
xsd__string | AssociatedSubscriberDn
| Associated Subscriber DN. More...

## Detailed Description

Modify Endpoint request.

Used by unsp__modifyEndpoint()

## Member Data Documentation

## ◆ AccountAuth

enum unsp__AccountAuth unsp__ModifyEndpointRequest::AccountAuth

Account authentication.

This field is not modifiable after creation. AccountAuthBasedOnSub applies only to subscriber type endpoints.
required: false
default value[range]: AccountAuthUnused

## ◆ AddressOfRecord

xsd__string unsp__ModifyEndpointRequest::AddressOfRecord

The address used by SIP at registration of the endpoint.

required: false
default value[range]: NA [1..63]

## ◆ AltIpAddress

xsd__string unsp__ModifyEndpointRequest::AltIpAddress

Optional secondary IP address of the endpoint.

The same uniqueness rule (as in IpAddress) applies in AltIpAddress.
required: false
default value[range]: NA [1..255]

## ◆ AltPort

xsd__int unsp__ModifyEndpointRequest::AltPort

Optional secondary IP address of the endpoint.

required: false
default value[range]: 0

## ◆ AnatSupport

enum unsp__Anat unsp__ModifyEndpointRequest::AnatSupport

Indicates whether the endpoint supports ANAT.

required: false
default value[range]: AnatUnassigned

## ◆ AssociatedEndpointName

xsd__string unsp__ModifyEndpointRequest::AssociatedEndpointName

Associated endpoint.

required: false

See also
  unsp__EndpointName

## ◆ AssociatedSubscriberDn

xsd__string unsp__ModifyEndpointRequest::AssociatedSubscriberDn

Associated Subscriber DN.

required: false
default value[range]: [1..15]

## ◆ Attributes

struct unsp__EndpointAttributes unsp__ModifyEndpointRequest::Attributes

A list of boolean attributes of the endpoint.

required: false

## ◆ CountryCode

xsd__string unsp__ModifyEndpointRequest::CountryCode

Country Code of the endpoint.

required: false
default value[range]: NA [1..7]

## ◆ DefaultHomeDn

xsd__string unsp__ModifyEndpointRequest::DefaultHomeDn

Default Home Dn.

required: false
default value[range]: [1..15]

## ◆ DnsSrv

enum unsp__DnsSrv unsp__ModifyEndpointRequest::DnsSrv

The type of the DnsSRV.

required: false
default value[range]: DnsSrvUnassigned

## ◆ DTLSSupport

enum unsp__DTLSSupport unsp__ModifyEndpointRequest::DTLSSupport

Indicates whether the endpoint supports DTLS.

required: false
default value[range]: DTLSUnassigned

## ◆ EndpointLocationCode

xsd__string unsp__ModifyEndpointRequest::EndpointLocationCode

Endpoint Location Code.

required: false

See also
  unsp__EndpointLocationCode

## ◆ EndpointLocationDomain

xsd__string unsp__ModifyEndpointRequest::EndpointLocationDomain

Endpoint Location Domain.

required: false
default value[range]: NA

## ◆ EndpointLocationName

xsd__string unsp__ModifyEndpointRequest::EndpointLocationName

Endpoint location.

required: false

See also
  unsp__EndpointLocationName

## ◆ EndpointNNIType

enum unsp__EndpointNNIType unsp__ModifyEndpointRequest::EndpointNNIType

The type of NNI endpoint.

required: false
default value[range]: NNITypeUnassigned

## ◆ EndpointProviderName

xsd__string unsp__ModifyEndpointRequest::EndpointProviderName

The name of the Endpoint Provider.

Note that in order to set the provider the NNIType should be set to PSTNGateway.
required: false

See also
  unsp__EndpointProviderName

## ◆ ICESupport

enum unsp__ICESupport unsp__ModifyEndpointRequest::ICESupport

Indicates whether the endpoint supports ICE .

required: false
default value[range]: ICEUnassigned

## ◆ IpAddress

xsd__string unsp__ModifyEndpointRequest::IpAddress

Character string with the IP Address of the endpoint.

If the IP address and port are provided with non-default value, it must be unique in the set of addresses that include: {IpAddress, Port} combinations.
required: false
default value[range]: NA [1..255]

## ◆ IvtgNameDomain

xsd__string unsp__ModifyEndpointRequest::IvtgNameDomain

Ivtg Name Domain.

required: false
default value[range]: NA [1..127]

## ◆ KeysetUse

enum unsp__KeysetUse unsp__ModifyEndpointRequest::KeysetUse

Indicates whether the subscriber endpoint is associated with a keyset device, either as a primary or phantom line.

required: false
default value[range]: KeysetUnassigned

## ◆ LooseRoutingURI

xsd__string unsp__ModifyEndpointRequest::LooseRoutingURI = "_"

Loose Routing URI.

required: false
default value[range]: NA [1..259]

## ◆ ManagementIpAddress

xsd__string unsp__ModifyEndpointRequest::ManagementIpAddress

Separate address for the endpoint allowing its management using a different IP address for its configuration than the signaling address (IpAddress field).The ManagementIpAddress can be provisioned in IPv4, IPv6 or FQDN format.

If this field is not configured, the IpAddress of the endpoint is used as the management Ip address as well.
required: false
default value[range]: NA [1..255]

## ◆ MaxOriginatingSessionLimit

xsd__int unsp__ModifyEndpointRequest::MaxOriginatingSessionLimit

Max Originating Session Limit.

required: false
default value[range]: -1

## ◆ MaxTerminatingSessionLimit

xsd__int unsp__ModifyEndpointRequest::MaxTerminatingSessionLimit

Max Terminating Session Limit.

required: false
default value[range]: -1

## ◆ Name

xsd__string unsp__ModifyEndpointRequest::Name

Endpoint Name.

required: true

See also
  unsp__EndpointName

## ◆ NewName

xsd__string unsp__ModifyEndpointRequest::NewName

New Endpoint Name.

required: false

See also
  unsp__EndpointName

## ◆ OperatorId

xsd__string unsp__ModifyEndpointRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ OutgoingCallSupervisionTimer

xsd__int unsp__ModifyEndpointRequest::OutgoingCallSupervisionTimer

Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the endpoint.

required: false
default value[range]: 0 [0, 500-64000]

## ◆ Port

xsd__int unsp__ModifyEndpointRequest::Port

Port is the signaling address of the endpoint.

If the IP address and port are provided with non-default value, it must be unique in the set of addresses that include: {IpAddress, Port} combinations for endpoint.
required: false
default value[range]: 0

## ◆ ProfileName

xsd__string unsp__ModifyEndpointRequest::ProfileName

Endpoint Profile.

required: false
default value[range]: NA [1..15]

## ◆ ProxyBypassSupervisionTimer

xsd__int unsp__ModifyEndpointRequest::ProxyBypassSupervisionTimer

Supervises the time between sending an INVITE request to a SIP proxy and receiving a provisional (incl.

100 Trying) or final response from the endpoint. This applies only to SIP proxies for which the Route Via Proxy and the Proxy Bypass Allowed endpoint attributes are set.
required: false
default value[range]: 0 [0, 500-32000]

## ◆ RasIpAddress

xsd__string unsp__ModifyEndpointRequest::RasIpAddress

Branch Type.

required: false
default value[range]: NA [1..255]

## ◆ RasPort

xsd__int unsp__ModifyEndpointRequest::RasPort

Maximum Branch Users.

required: false
default value[range]: 0

## ◆ RedSkyE911Manager

xsd__boolean* unsp__ModifyEndpointRequest::RedSkyE911Manager

Is Endpoint a Red Sky manager
required: false
default value[range]: false.

## ◆ Registration

xsd__short unsp__ModifyEndpointRequest::Registration

An integer that represents bitwise assignments of five attributes:

- Operational state of the endpoint (highest 2 bits): UNNASIGNED, ACTIVE, BLOCKED_NEW, BLOCKED_ALL
- Administrative state of the dynamic endpoint (next 2 bits): UNNASIGNED, ACTIVE, BLOCKED_NEW, BLOCKED_ALL
- Authentication pre-granted: indicates whether authentication is pregranted for a dynamic endpoint (next 3 bits): UNNASIGNED, NEITHER_SIDE, A_SIDE, B_SIDE, BOTH_SIDES
- RRQ state: indicates whether a dynamic endpoint is (URQ, RRQ) (next 2 bits): UNNASIGNED, UNREGISTERED, REGISTERED
- RRQ type: indicates whether the endpoint is static or dynamic (lowest 2 bits): UNNASIGNED, STATIC, DYNAMIC_PORT (static IP), DYNAMIC.

required: false
default value[range]: 0

## ◆ ResetComLostState

xsd__boolean unsp__ModifyEndpointRequest::ResetComLostState

Allows resetting the endpoint's operational state from CommunicationLost to Normal.

required: false
default value[range]: false

## ◆ SdesSrtpSupport

enum unsp__SrtpSupport unsp__ModifyEndpointRequest::SdesSrtpSupport

"Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not.

required: false
default value[range]: SrtpEnabled

## ◆ ServerFailover

enum unsp__EpFailover unsp__ModifyEndpointRequest::ServerFailover

Indicates whether network server failover is enabled for this endpoint.

required: false
default value[range]: EpFailoverUnassigned

## ◆ Sessions

xsd__int unsp__ModifyEndpointRequest::Sessions

Maximum number of sessions allowed for the endpoint.

Represents the number of messaging sessions, not the number of voice (audio) sessions.
required: false
default value[range]: -1

## ◆ SipUAForkingSupport

enum unsp__SipUAForkingSupport* unsp__ModifyEndpointRequest::SipUAForkingSupport

Indicates the SIP UA Forking Support mechanism used.

required: false

## ◆ SrtpMode

enum unsp__SrtpMode* unsp__ModifyEndpointRequest::SrtpMode

Indicates the SRTP mode used.

required: false
default value[range]: SrtpModeAuto

## ◆ SrtpSupport

enum unsp__SrtpSupport unsp__ModifyEndpointRequest::SrtpSupport

"Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not.

required: false
default value[range]: SrtpUnassigned

## ◆ TimeToLive

xsd__double unsp__ModifyEndpointRequest::TimeToLive

Expiration time for the endpoint (if dynamic).

required: false
default value[range]: 0

## ◆ Transport

enum unsp__TransportType unsp__ModifyEndpointRequest::Transport

The transport protocol for a SIP endpoint.

required: false
default value[range]: TtUnused

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h